# include "stdio.h"
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
# define output(c) putc(c,yyout)
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern char yytext[];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;
#include <math.h>
#include "atomart.h"
#include "gram.h"

extern attr	*astackp;
extern int	linecount;

# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:
	return(SPHERE);
break;
case 2:
	return(POLYGON);
break;
case 3:
return(COMPOSITE);
break;
case 4:
return(VORTFILE);
break;
case 5:
	return(TOP);
break;
case 6:
	return(BASE);
break;
case 7:
return(CONST);
break;
case 8:
return(COEFFS);
break;
case 9:
	{
			yylval.y_int = SHADOWS;
			return(OPTION);
		}
break;
case 10:
	return(ON);
break;
case 11:
	return(OFF);
break;
case 12:
return(MATERIAL);
break;
case 13:
	return(CENTER);
break;
case 14:
	return(COLOUR);
break;
case 15:
	return(COLOUR);
break;
case 16:
	return(AMBIENT);
break;
case 17:
return(REFLECTANCE);
break;
case 18:
return(ABSORPTION);
break;
case 19:
return(TRANSPARENCY);
break;
case 20:
	return(RADIUS);
break;
case 21:
	return(LIGHT);
break;
case 22:
return(DIRECTION);
break;
case 23:
	return(ANGLE);
break;
case 24:
	return(NUMRAYS);
break;
case 25:
	return(VERTEX);
break;
case 26:
return(LOCATION);
break;
case 27:
	return(TILE);
break;
case 28:
	return(TEXTURE);
break;
case 29:
	return(MAP);
break;
case 30:
	return(RANGE);
break;
case 31:
return(BLENDCOLOR);
break;
case 32:
return(BLENDCOLOR);
break;
case 33:
return(SCALEFACTORS);
break;
case 34:
	return(SIZE);
break;
case 35:
return(EQUATION);
break;
case 36:
return(TRANSLATE);
break;
case 37:
	return(ROTATE);
break;
case 38:
	return(SCALE);
break;
case 39:
	return(LOOKAT);
break;
case 40:
	return(UP);
break;
case 41:
return(FIELDOFVIEW);
break;
case 42:
return(RAYSPERPIXEL);
break;
case 43:
return(VREF1);
break;
case 44:
	return(VREF1);
break;
case 45:
	return(VREF2);
break;
case 46:
	return(TITLE);
break;
case 47:
return(BACKGROUND);
break;
case 48:
return(MAXHITLEVEL);
break;
case 49:
	return(OUTPUT);
break;
case 50:
	{
			yylval.y_int = PIX_RGB;
			return(FILETYPE);
		}
break;
case 51:
	{
			yylval.y_int = PIX_RLE;
			return(FILETYPE);
		}
break;
case 52:
	{
			yylval.y_int = PIX_RGBA;
			return(FILETYPE);
		}
break;
case 53:
	{
			yylval.y_int = PIX_RLEA;
			return(FILETYPE);
		}
break;
case 54:
{
			yylval.y_str = (char *)smalloc(strlen(yytext) + 1);
			strcpy(yylval.y_str, yytext);
			return(NAME);
		}
break;
case 55:
{
			yylval.y_int = atoi(yytext);
			return(INTEGER);
		}
break;
case 56:
{
			yylval.y_flt = atof(yytext);
			return(FLOAT);
		}
break;
case 57:
	return(PLUS);
break;
case 58:
	return(MINUS);
break;
case 59:
	return(MULT);
break;
case 60:
	return(DIV);
break;
case 61:
	return(PCENT);
break;
case 62:
	return(POWER);
break;
case 63:
	return(COMMA);
break;
case 64:
	return(LP);
break;
case 65:
	return(RP);
break;
case 66:
	return(EQUALS);
break;
case 67:
	return(DOT);
break;
case 68:
	{
			char	buf[BUFSIZ], *p;
			
			for (p = buf; (*p = getchar()) != '"'; p++)
				if (*p == '\n' || *p == EOF)
					yyerror("syntax error");

			*p = 0;

			yylval.y_str = (char *)smalloc(strlen(buf) + 1);
			strcpy(yylval.y_str, buf);

			return(STRING);
		}
break;
case 69:
	{
			astackp++;
			*astackp = *(astackp - 1);
			return(LBRACE);
		}
break;
case 70:
	{
			return(RBRACE);
		}
break;
case 71:
	{
			linecount++;
		}
break;
case 72:
	{
			;
		}
break;
case 73:
	{
			char	c1, c2;
			int	comline;
			char	buf[BUFSIZ];

			comline = linecount;

			do {
				while ((c1 = getchar()) != '*' && c1 != EOF)
					if (c1 == '\n')
						linecount++;
				c2 = getchar();
				if (c2 == '\n')
					linecount++;
			} while (c2 != '/' && c2 != EOF);

			if (c1 == EOF || c2 == EOF) {
				sprintf(buf, "atomart: unterminated comment - started line %d.\n", comline);
				fatal(buf);
			}
		}
break;
case -1:
break;
default:
fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */
int yyvstop[] = {
0,

55,
0,

55,
0,

72,
0,

71,
0,

68,
0,

61,
0,

64,
0,

65,
0,

59,
0,

57,
0,

63,
0,

58,
0,

56,
67,
0,

60,
0,

55,
0,

66,
0,

54,
0,

62,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

69,
0,

70,
0,

56,
0,

73,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

10,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

40,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

29,
54,
0,

54,
0,

54,
0,

54,
0,

11,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

50,
54,
0,

51,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

5,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

6,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

44,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

52,
54,
0,

53,
54,
0,

54,
0,

54,
0,

54,
0,

34,
54,
0,

54,
0,

54,
0,

27,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

23,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

15,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

21,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

30,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

38,
54,
0,

54,
0,

54,
0,

54,
0,

46,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

13,
54,
0,

54,
0,

14,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

39,
54,
0,

54,
0,

54,
0,

54,
0,

49,
54,
0,

54,
0,

20,
54,
0,

54,
0,

54,
0,

54,
0,

37,
54,
0,

54,
0,

54,
0,

1,
54,
0,

54,
0,

54,
0,

54,
0,

25,
54,
0,

54,
0,

54,
0,

16,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

45,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

24,
54,
0,

2,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

9,
54,
0,

28,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

7,
54,
0,

54,
0,

35,
54,
0,

54,
0,

26,
54,
0,

12,
54,
0,

54,
0,

54,
0,

54,
0,

43,
54,
0,

54,
0,

54,
0,

54,
0,

4,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

3,
54,
0,

22,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

36,
54,
0,

54,
0,

18,
54,
0,

47,
54,
0,

31,
54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

54,
0,

32,
54,
0,

54,
0,

41,
54,
0,

48,
54,
0,

54,
0,

17,
54,
0,

54,
0,

54,
0,

8,
54,
0,

42,
54,
0,

33,
54,
0,

19,
54,
0,
0};
# define YYTYPE int
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,3,	1,4,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	1,3,	0,0,	1,5,	
0,0,	0,0,	1,6,	0,0,	
0,0,	1,7,	1,8,	1,9,	
1,10,	1,11,	1,12,	1,13,	
1,14,	1,15,	1,15,	1,15,	
1,15,	1,15,	1,15,	1,15,	
1,15,	1,15,	1,15,	14,38,	
0,0,	0,0,	1,16,	0,0,	
0,0,	0,0,	1,17,	1,17,	
1,17,	1,17,	1,17,	1,17,	
1,17,	1,17,	1,17,	1,17,	
1,17,	1,17,	1,17,	1,17,	
1,17,	1,17,	1,17,	1,17,	
1,17,	1,17,	1,17,	1,17,	
1,17,	1,17,	1,17,	1,17,	
0,0,	0,0,	0,0,	1,18,	
1,17,	0,0,	1,19,	1,20,	
1,21,	1,22,	1,23,	1,24,	
1,17,	1,17,	1,17,	1,17,	
1,17,	1,25,	1,26,	1,27,	
1,28,	1,29,	1,17,	1,30,	
1,31,	1,32,	1,33,	1,34,	
1,17,	1,17,	1,17,	1,17,	
1,35,	22,46,	1,36,	13,37,	
13,37,	13,37,	13,37,	13,37,	
13,37,	13,37,	13,37,	13,37,	
13,37,	15,37,	23,47,	15,15,	
15,15,	15,15,	15,15,	15,15,	
15,15,	15,15,	15,15,	15,15,	
15,15,	17,17,	19,39,	17,17,	
17,17,	17,17,	17,17,	17,17,	
17,17,	17,17,	17,17,	17,17,	
17,17,	19,40,	19,41,	24,48,	
26,51,	27,52,	29,56,	33,70,	
17,17,	17,17,	17,17,	17,17,	
17,17,	17,17,	17,17,	17,17,	
17,17,	17,17,	17,17,	17,17,	
17,17,	17,17,	17,17,	17,17,	
17,17,	17,17,	17,17,	17,17,	
17,17,	17,17,	17,17,	17,17,	
17,17,	17,17,	39,73,	40,74,	
41,75,	43,78,	17,17,	44,79,	
17,17,	17,17,	17,17,	17,17,	
17,17,	17,17,	17,17,	17,17,	
17,17,	17,17,	17,17,	17,17,	
17,17,	17,17,	17,17,	17,17,	
17,17,	17,17,	17,17,	17,17,	
17,17,	17,17,	17,17,	17,17,	
17,17,	17,17,	20,42,	25,49,	
21,44,	46,84,	30,57,	28,53,	
47,85,	25,50,	30,58,	34,71,	
30,59,	20,43,	21,45,	28,54,	
42,76,	30,60,	31,62,	45,80,	
30,61,	34,72,	28,55,	31,63,	
31,64,	32,66,	45,81,	45,82,	
45,83,	32,67,	48,86,	31,65,	
42,77,	49,87,	50,88,	32,68,	
51,90,	52,93,	32,69,	53,94,	
51,91,	55,95,	56,96,	57,97,	
51,92,	58,100,	50,89,	59,101,	
60,102,	61,103,	62,104,	63,105,	
64,106,	57,98,	65,107,	66,108,	
68,111,	67,109,	69,112,	71,113,	
72,114,	73,115,	74,116,	75,117,	
57,99,	67,110,	76,118,	77,119,	
78,120,	79,121,	80,122,	81,123,	
82,124,	83,125,	84,126,	85,127,	
86,128,	87,129,	88,130,	89,131,	
91,132,	92,133,	93,134,	95,135,	
96,136,	97,138,	98,139,	99,140,	
100,141,	101,143,	102,144,	103,145,	
100,142,	104,146,	105,147,	106,148,	
107,149,	108,150,	109,151,	110,152,	
112,153,	113,154,	114,155,	115,156,	
96,137,	116,157,	117,158,	118,159,	
120,160,	121,161,	122,162,	123,163,	
124,165,	125,166,	123,164,	126,167,	
127,168,	128,169,	129,170,	130,171,	
131,172,	132,173,	133,174,	134,175,	
135,176,	137,177,	138,178,	139,179,	
140,180,	141,181,	142,182,	145,183,	
146,184,	147,185,	149,186,	150,187,	
152,188,	153,189,	154,190,	155,191,	
156,192,	157,193,	159,194,	160,195,	
161,196,	162,197,	164,198,	165,199,	
166,200,	167,201,	168,202,	169,204,	
171,205,	172,206,	173,207,	174,208,	
168,203,	175,209,	176,210,	177,211,	
178,212,	180,213,	181,214,	182,215,	
183,216,	184,217,	185,218,	186,219,	
187,220,	189,221,	190,223,	191,224,	
192,225,	189,222,	193,226,	194,227,	
195,228,	197,229,	199,230,	200,231,	
201,232,	202,233,	203,234,	204,235,	
205,236,	207,237,	208,238,	209,239,	
211,240,	213,241,	214,242,	215,243,	
217,244,	218,245,	220,246,	221,247,	
222,248,	224,249,	225,250,	227,251,	
228,252,	229,253,	230,254,	231,255,	
232,256,	233,257,	235,258,	236,259,	
237,260,	238,261,	241,262,	242,263,	
243,264,	244,265,	247,266,	248,267,	
249,268,	250,269,	251,270,	252,271,	
253,272,	254,273,	256,274,	258,275,	
261,276,	262,277,	263,278,	265,279,	
266,280,	267,281,	269,282,	270,283,	
271,284,	272,286,	275,287,	271,285,	
276,288,	277,289,	278,290,	279,291,	
281,292,	285,293,	286,294,	287,295,	
288,296,	289,297,	290,298,	291,299,	
292,300,	294,301,	297,302,	299,303,	
300,304,	0,0,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+1,	0,		yyvstop+1,
yycrank+0,	yysvec+1,	yyvstop+3,
yycrank+0,	0,		yyvstop+5,
yycrank+0,	0,		yyvstop+7,
yycrank+0,	0,		yyvstop+9,
yycrank+0,	0,		yyvstop+11,
yycrank+0,	0,		yyvstop+13,
yycrank+0,	0,		yyvstop+15,
yycrank+0,	0,		yyvstop+17,
yycrank+0,	0,		yyvstop+19,
yycrank+0,	0,		yyvstop+21,
yycrank+0,	0,		yyvstop+23,
yycrank+79,	0,		yyvstop+25,
yycrank+17,	0,		yyvstop+28,
yycrank+91,	0,		yyvstop+30,
yycrank+0,	0,		yyvstop+32,
yycrank+103,	0,		yyvstop+34,
yycrank+0,	0,		yyvstop+36,
yycrank+52,	yysvec+17,	yyvstop+38,
yycrank+129,	yysvec+17,	yyvstop+40,
yycrank+127,	yysvec+17,	yyvstop+42,
yycrank+20,	yysvec+17,	yyvstop+44,
yycrank+25,	yysvec+17,	yyvstop+46,
yycrank+58,	yysvec+17,	yyvstop+48,
yycrank+122,	yysvec+17,	yyvstop+50,
yycrank+67,	yysvec+17,	yyvstop+52,
yycrank+48,	yysvec+17,	yyvstop+54,
yycrank+129,	yysvec+17,	yyvstop+56,
yycrank+55,	yysvec+17,	yyvstop+58,
yycrank+133,	yysvec+17,	yyvstop+60,
yycrank+143,	yysvec+17,	yyvstop+62,
yycrank+148,	yysvec+17,	yyvstop+64,
yycrank+55,	yysvec+17,	yyvstop+66,
yycrank+134,	yysvec+17,	yyvstop+68,
yycrank+0,	0,		yyvstop+70,
yycrank+0,	0,		yyvstop+72,
yycrank+0,	yysvec+13,	yyvstop+74,
yycrank+0,	0,		yyvstop+76,
yycrank+79,	yysvec+17,	yyvstop+78,
yycrank+97,	yysvec+17,	yyvstop+80,
yycrank+93,	yysvec+17,	yyvstop+82,
yycrank+141,	yysvec+17,	yyvstop+84,
yycrank+96,	yysvec+17,	yyvstop+86,
yycrank+89,	yysvec+17,	yyvstop+88,
yycrank+142,	yysvec+17,	yyvstop+90,
yycrank+115,	yysvec+17,	yyvstop+92,
yycrank+115,	yysvec+17,	yyvstop+94,
yycrank+153,	yysvec+17,	yyvstop+96,
yycrank+154,	yysvec+17,	yyvstop+98,
yycrank+159,	yysvec+17,	yyvstop+100,
yycrank+148,	yysvec+17,	yyvstop+102,
yycrank+152,	yysvec+17,	yyvstop+104,
yycrank+161,	yysvec+17,	yyvstop+106,
yycrank+0,	yysvec+17,	yyvstop+108,
yycrank+149,	yysvec+17,	yyvstop+111,
yycrank+158,	yysvec+17,	yyvstop+113,
yycrank+167,	yysvec+17,	yyvstop+115,
yycrank+167,	yysvec+17,	yyvstop+117,
yycrank+173,	yysvec+17,	yyvstop+119,
yycrank+171,	yysvec+17,	yyvstop+121,
yycrank+157,	yysvec+17,	yyvstop+123,
yycrank+177,	yysvec+17,	yyvstop+125,
yycrank+178,	yysvec+17,	yyvstop+127,
yycrank+154,	yysvec+17,	yyvstop+129,
yycrank+174,	yysvec+17,	yyvstop+131,
yycrank+159,	yysvec+17,	yyvstop+133,
yycrank+173,	yysvec+17,	yyvstop+135,
yycrank+168,	yysvec+17,	yyvstop+137,
yycrank+185,	yysvec+17,	yyvstop+139,
yycrank+0,	yysvec+17,	yyvstop+141,
yycrank+169,	yysvec+17,	yyvstop+144,
yycrank+170,	yysvec+17,	yyvstop+146,
yycrank+174,	yysvec+17,	yyvstop+148,
yycrank+181,	yysvec+17,	yyvstop+150,
yycrank+179,	yysvec+17,	yyvstop+152,
yycrank+183,	yysvec+17,	yyvstop+154,
yycrank+190,	yysvec+17,	yyvstop+156,
yycrank+182,	yysvec+17,	yyvstop+158,
yycrank+177,	yysvec+17,	yyvstop+160,
yycrank+192,	yysvec+17,	yyvstop+162,
yycrank+184,	yysvec+17,	yyvstop+164,
yycrank+184,	yysvec+17,	yyvstop+166,
yycrank+182,	yysvec+17,	yyvstop+168,
yycrank+197,	yysvec+17,	yyvstop+170,
yycrank+202,	yysvec+17,	yyvstop+172,
yycrank+192,	yysvec+17,	yyvstop+174,
yycrank+197,	yysvec+17,	yyvstop+176,
yycrank+205,	yysvec+17,	yyvstop+178,
yycrank+196,	yysvec+17,	yyvstop+180,
yycrank+0,	yysvec+17,	yyvstop+182,
yycrank+203,	yysvec+17,	yyvstop+185,
yycrank+201,	yysvec+17,	yyvstop+187,
yycrank+192,	yysvec+17,	yyvstop+189,
yycrank+0,	yysvec+17,	yyvstop+191,
yycrank+195,	yysvec+17,	yyvstop+194,
yycrank+207,	yysvec+17,	yyvstop+196,
yycrank+204,	yysvec+17,	yyvstop+198,
yycrank+207,	yysvec+17,	yyvstop+200,
yycrank+196,	yysvec+17,	yyvstop+202,
yycrank+204,	yysvec+17,	yyvstop+204,
yycrank+216,	yysvec+17,	yyvstop+206,
yycrank+217,	yysvec+17,	yyvstop+209,
yycrank+218,	yysvec+17,	yyvstop+212,
yycrank+209,	yysvec+17,	yyvstop+214,
yycrank+218,	yysvec+17,	yyvstop+216,
yycrank+218,	yysvec+17,	yyvstop+218,
yycrank+219,	yysvec+17,	yyvstop+220,
yycrank+205,	yysvec+17,	yyvstop+222,
yycrank+221,	yysvec+17,	yyvstop+224,
yycrank+215,	yysvec+17,	yyvstop+226,
yycrank+0,	yysvec+17,	yyvstop+228,
yycrank+214,	yysvec+17,	yyvstop+231,
yycrank+209,	yysvec+17,	yyvstop+233,
yycrank+210,	yysvec+17,	yyvstop+235,
yycrank+213,	yysvec+17,	yyvstop+237,
yycrank+228,	yysvec+17,	yyvstop+239,
yycrank+229,	yysvec+17,	yyvstop+241,
yycrank+228,	yysvec+17,	yyvstop+243,
yycrank+0,	yysvec+17,	yyvstop+245,
yycrank+232,	yysvec+17,	yyvstop+248,
yycrank+232,	yysvec+17,	yyvstop+250,
yycrank+232,	yysvec+17,	yyvstop+252,
yycrank+221,	yysvec+17,	yyvstop+254,
yycrank+225,	yysvec+17,	yyvstop+256,
yycrank+221,	yysvec+17,	yyvstop+258,
yycrank+240,	yysvec+17,	yyvstop+260,
yycrank+224,	yysvec+17,	yyvstop+262,
yycrank+241,	yysvec+17,	yyvstop+264,
yycrank+226,	yysvec+17,	yyvstop+266,
yycrank+227,	yysvec+17,	yyvstop+268,
yycrank+247,	yysvec+17,	yyvstop+270,
yycrank+231,	yysvec+17,	yyvstop+272,
yycrank+241,	yysvec+17,	yyvstop+274,
yycrank+250,	yysvec+17,	yyvstop+276,
yycrank+231,	yysvec+17,	yyvstop+278,
yycrank+0,	yysvec+17,	yyvstop+280,
yycrank+246,	yysvec+17,	yyvstop+283,
yycrank+233,	yysvec+17,	yyvstop+285,
yycrank+250,	yysvec+17,	yyvstop+287,
yycrank+240,	yysvec+17,	yyvstop+289,
yycrank+252,	yysvec+17,	yyvstop+291,
yycrank+243,	yysvec+17,	yyvstop+293,
yycrank+0,	yysvec+17,	yyvstop+295,
yycrank+0,	yysvec+17,	yyvstop+298,
yycrank+239,	yysvec+17,	yyvstop+301,
yycrank+255,	yysvec+17,	yyvstop+303,
yycrank+246,	yysvec+17,	yyvstop+305,
yycrank+0,	yysvec+17,	yyvstop+307,
yycrank+244,	yysvec+17,	yyvstop+310,
yycrank+242,	yysvec+17,	yyvstop+312,
yycrank+0,	yysvec+17,	yyvstop+314,
yycrank+259,	yysvec+17,	yyvstop+317,
yycrank+246,	yysvec+17,	yyvstop+319,
yycrank+261,	yysvec+17,	yyvstop+321,
yycrank+261,	yysvec+17,	yyvstop+323,
yycrank+252,	yysvec+17,	yyvstop+325,
yycrank+255,	yysvec+17,	yyvstop+327,
yycrank+0,	yysvec+17,	yyvstop+329,
yycrank+252,	yysvec+17,	yyvstop+332,
yycrank+268,	yysvec+17,	yyvstop+334,
yycrank+254,	yysvec+17,	yyvstop+336,
yycrank+264,	yysvec+17,	yyvstop+338,
yycrank+0,	yysvec+17,	yyvstop+340,
yycrank+256,	yysvec+17,	yyvstop+343,
yycrank+256,	yysvec+17,	yyvstop+345,
yycrank+275,	yysvec+17,	yyvstop+347,
yycrank+257,	yysvec+17,	yyvstop+349,
yycrank+269,	yysvec+17,	yyvstop+351,
yycrank+264,	yysvec+17,	yyvstop+353,
yycrank+0,	yysvec+17,	yyvstop+355,
yycrank+271,	yysvec+17,	yyvstop+358,
yycrank+261,	yysvec+17,	yyvstop+360,
yycrank+273,	yysvec+17,	yyvstop+362,
yycrank+263,	yysvec+17,	yyvstop+364,
yycrank+260,	yysvec+17,	yyvstop+366,
yycrank+266,	yysvec+17,	yyvstop+368,
yycrank+272,	yysvec+17,	yyvstop+370,
yycrank+269,	yysvec+17,	yyvstop+372,
yycrank+0,	yysvec+17,	yyvstop+374,
yycrank+284,	yysvec+17,	yyvstop+377,
yycrank+287,	yysvec+17,	yyvstop+379,
yycrank+282,	yysvec+17,	yyvstop+381,
yycrank+287,	yysvec+17,	yyvstop+383,
yycrank+287,	yysvec+17,	yyvstop+385,
yycrank+271,	yysvec+17,	yyvstop+388,
yycrank+290,	yysvec+17,	yyvstop+390,
yycrank+278,	yysvec+17,	yyvstop+392,
yycrank+0,	yysvec+17,	yyvstop+394,
yycrank+285,	yysvec+17,	yyvstop+397,
yycrank+274,	yysvec+17,	yyvstop+399,
yycrank+290,	yysvec+17,	yyvstop+401,
yycrank+280,	yysvec+17,	yyvstop+403,
yycrank+282,	yysvec+17,	yyvstop+405,
yycrank+288,	yysvec+17,	yyvstop+407,
yycrank+289,	yysvec+17,	yyvstop+409,
yycrank+0,	yysvec+17,	yyvstop+411,
yycrank+302,	yysvec+17,	yyvstop+414,
yycrank+0,	yysvec+17,	yyvstop+416,
yycrank+297,	yysvec+17,	yyvstop+419,
yycrank+293,	yysvec+17,	yyvstop+421,
yycrank+299,	yysvec+17,	yyvstop+423,
yycrank+294,	yysvec+17,	yyvstop+425,
yycrank+292,	yysvec+17,	yyvstop+427,
yycrank+305,	yysvec+17,	yyvstop+429,
yycrank+297,	yysvec+17,	yyvstop+431,
yycrank+0,	yysvec+17,	yyvstop+433,
yycrank+312,	yysvec+17,	yyvstop+436,
yycrank+302,	yysvec+17,	yyvstop+438,
yycrank+296,	yysvec+17,	yyvstop+440,
yycrank+0,	yysvec+17,	yyvstop+442,
yycrank+302,	yysvec+17,	yyvstop+445,
yycrank+0,	yysvec+17,	yyvstop+447,
yycrank+299,	yysvec+17,	yyvstop+450,
yycrank+298,	yysvec+17,	yyvstop+452,
yycrank+305,	yysvec+17,	yyvstop+454,
yycrank+0,	yysvec+17,	yyvstop+456,
yycrank+319,	yysvec+17,	yyvstop+459,
yycrank+302,	yysvec+17,	yyvstop+461,
yycrank+0,	yysvec+17,	yyvstop+463,
yycrank+317,	yysvec+17,	yyvstop+466,
yycrank+322,	yysvec+17,	yyvstop+468,
yycrank+323,	yysvec+17,	yyvstop+470,
yycrank+0,	yysvec+17,	yyvstop+472,
yycrank+313,	yysvec+17,	yyvstop+475,
yycrank+317,	yysvec+17,	yyvstop+477,
yycrank+0,	yysvec+17,	yyvstop+479,
yycrank+306,	yysvec+17,	yyvstop+482,
yycrank+316,	yysvec+17,	yyvstop+484,
yycrank+320,	yysvec+17,	yyvstop+486,
yycrank+310,	yysvec+17,	yyvstop+488,
yycrank+311,	yysvec+17,	yyvstop+490,
yycrank+317,	yysvec+17,	yyvstop+492,
yycrank+319,	yysvec+17,	yyvstop+494,
yycrank+0,	yysvec+17,	yyvstop+496,
yycrank+312,	yysvec+17,	yyvstop+499,
yycrank+321,	yysvec+17,	yyvstop+501,
yycrank+324,	yysvec+17,	yyvstop+503,
yycrank+332,	yysvec+17,	yyvstop+505,
yycrank+0,	yysvec+17,	yyvstop+507,
yycrank+0,	yysvec+17,	yyvstop+510,
yycrank+322,	yysvec+17,	yyvstop+513,
yycrank+338,	yysvec+17,	yyvstop+515,
yycrank+320,	yysvec+17,	yyvstop+517,
yycrank+338,	yysvec+17,	yyvstop+519,
yycrank+0,	yysvec+17,	yyvstop+521,
yycrank+0,	yysvec+17,	yyvstop+524,
yycrank+322,	yysvec+17,	yyvstop+527,
yycrank+325,	yysvec+17,	yyvstop+529,
yycrank+339,	yysvec+17,	yyvstop+531,
yycrank+330,	yysvec+17,	yyvstop+533,
yycrank+332,	yysvec+17,	yyvstop+535,
yycrank+332,	yysvec+17,	yyvstop+537,
yycrank+343,	yysvec+17,	yyvstop+539,
yycrank+344,	yysvec+17,	yyvstop+541,
yycrank+0,	yysvec+17,	yyvstop+543,
yycrank+336,	yysvec+17,	yyvstop+546,
yycrank+0,	yysvec+17,	yyvstop+548,
yycrank+342,	yysvec+17,	yyvstop+551,
yycrank+0,	yysvec+17,	yyvstop+553,
yycrank+0,	yysvec+17,	yyvstop+556,
yycrank+330,	yysvec+17,	yyvstop+559,
yycrank+344,	yysvec+17,	yyvstop+561,
yycrank+340,	yysvec+17,	yyvstop+563,
yycrank+0,	yysvec+17,	yyvstop+565,
yycrank+335,	yysvec+17,	yyvstop+568,
yycrank+351,	yysvec+17,	yyvstop+570,
yycrank+352,	yysvec+17,	yyvstop+572,
yycrank+0,	yysvec+17,	yyvstop+574,
yycrank+344,	yysvec+17,	yyvstop+577,
yycrank+355,	yysvec+17,	yyvstop+579,
yycrank+342,	yysvec+17,	yyvstop+581,
yycrank+347,	yysvec+17,	yyvstop+583,
yycrank+0,	yysvec+17,	yyvstop+585,
yycrank+0,	yysvec+17,	yyvstop+588,
yycrank+357,	yysvec+17,	yyvstop+591,
yycrank+359,	yysvec+17,	yyvstop+593,
yycrank+341,	yysvec+17,	yyvstop+595,
yycrank+363,	yysvec+17,	yyvstop+597,
yycrank+352,	yysvec+17,	yyvstop+599,
yycrank+0,	yysvec+17,	yyvstop+601,
yycrank+354,	yysvec+17,	yyvstop+604,
yycrank+0,	yysvec+17,	yyvstop+606,
yycrank+0,	yysvec+17,	yyvstop+609,
yycrank+0,	yysvec+17,	yyvstop+612,
yycrank+351,	yysvec+17,	yyvstop+615,
yycrank+350,	yysvec+17,	yyvstop+617,
yycrank+348,	yysvec+17,	yyvstop+619,
yycrank+360,	yysvec+17,	yyvstop+621,
yycrank+368,	yysvec+17,	yyvstop+623,
yycrank+369,	yysvec+17,	yyvstop+625,
yycrank+357,	yysvec+17,	yyvstop+627,
yycrank+373,	yysvec+17,	yyvstop+629,
yycrank+0,	yysvec+17,	yyvstop+631,
yycrank+358,	yysvec+17,	yyvstop+634,
yycrank+0,	yysvec+17,	yyvstop+636,
yycrank+0,	yysvec+17,	yyvstop+639,
yycrank+366,	yysvec+17,	yyvstop+642,
yycrank+0,	yysvec+17,	yyvstop+644,
yycrank+360,	yysvec+17,	yyvstop+647,
yycrank+355,	yysvec+17,	yyvstop+649,
yycrank+0,	yysvec+17,	yyvstop+651,
yycrank+0,	yysvec+17,	yyvstop+654,
yycrank+0,	yysvec+17,	yyvstop+657,
yycrank+0,	yysvec+17,	yyvstop+660,
0,	0,	0};
struct yywork *yytop = yycrank+476;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,011 ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
011 ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,'.' ,01  ,
'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,
'0' ,'0' ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,01  ,01  ,01  ,01  ,'A' ,
01  ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,01  ,01  ,01  ,01  ,01  ,
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
#ifndef lint
static	char ncform_sccsid[] = "@(#)ncform 1.6 88/02/08 SMI"; /* from S5R2 1.2 */
#endif

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
yylook(){
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
yyback(p, m)
	int *p;
{
if (p==0) return(0);
while (*p)
	{
	if (*p++ == m)
		return(1);
	}
return(0);
}
	/* the following are only used in the lex library */
yyinput(){
	return(input());
	}
yyoutput(c)
  int c; {
	output(c);
	}
yyunput(c)
   int c; {
	unput(c);
	}
